# SPEC file overview:
# https://docs.fedoraproject.org/en-US/quick-docs/creating-rpm-packages/#con_rpm-spec-file-overview
# Fedora packaging guidelines:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/

%global commit 0a0b0facb16acfbabb7804822ecaf4f4b9dce3d2
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:    phantomjs
Version: 2.1.1
Release: 20200713.0.ndias%{?dist}
Summary: Scriptable Headless Browser 

License: BSD-3-Clause 
URL:     http://phantomjs.org
Source0: https://github.com/ariya/%{name}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires: qt5-qtwebkit-devel

%description
PhantomJS is a headless WebKit scriptable with JavaScript.

%prep
%autosetup -n %{name}-%{commit}


%build
%cmake
%cmake_build %{?_smp_mflags}
chmod -x README.md

%check
%ctest

%install
%cmake_install


%files
%doc ChangeLog CONTRIBUTING.md README.md third-party.txt
%license LICENSE.BSD

%{_bindir}/%{name}


%changelog
* Thu Mar 27 2025 Nuno Dias <Nuno.Dias@gmail.com> - 2.1.1-20200713.0.ndias
- Version 2.1.1-20200713


